Subject: A question??

From: "Aniruddh Lohia" <[email-masked]>
Date: Mon, 30 Aug 1999 23:53:02 +0530

I have a question to ask from you. Why is the question of
connection oriented and connectionless service raised three times i.e. in
the Datalink Layer, Network Layer and Transport Layer.
three of the layers have this time-out & retransmission facility. There is
one point that DataLink layer is in hardware and Network Layer may or may
not be in hardware that is why we use in Transport layer(which is s/w
implemented) but using it thrice is weired.
Also boss consider that all three layers i.e. DataLink, Network & Transport
have this connection oriented method with time out of say 50ms, 55ms & 60 ms
respectively. Suppose no acknowledgement comes till 63 ms second within
which period all the three layers have retransmitted THRICE thus
contributing significantly to congestion.
Aniruddh